Debian Bug report logs - #630784
breaks kbdcontrol 8.2 (incompatible 9.x ABI)

version graph

Package: kfreebsd-image-9.0-0-amd64; Maintainer for kfreebsd-image-9.0-0-amd64 is (unknown);

Reported by: Robert Millan <rmh@debian.org>

Date: Fri, 17 Jun 2011 10:36:02 UTC

Severity: grave

Found in version kfreebsd-9/9.0~svn223109-0.1

Fixed in version kfreebsd-9/9.0~svn224126-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://lists.freebsd.org/pipermail/freebsd-current/2011-June/025325.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#630784; Package kfreebsd-image-9.0-0-amd64. (Fri, 17 Jun 2011 10:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Fri, 17 Jun 2011 10:36:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: submit@bugs.debian.org
Subject: breaks kbdcontrol 8.2 (incompatible 9.x ABI)
Date: Fri, 17 Jun 2011 12:33:06 +0200
Package: kfreebsd-image-9.0-0-amd64
Version: 9.0~svn223109-0.1
Severity: grave

2011/6/17 Petr Salinger <Petr.Salinger@seznam.cz>:
>>> $ sudo kbdcontrol -l us.iso.kbd
>>> kbdcontrol: setting keymap: Inappropriate ioctl for device
>>
>> I guess this means we need to patch a compatibility kludge in
>> either freebsd-utils 8.2 or kfreebsd-9.  Which package should
>> this bug be filed on?
>
> It seems be due to this:
>
> http://svnweb.freebsd.org/base?view=revision&revision=197330
>
> It can be solved when 9.x ABI is stable in freebsd-utils 9.0
> by conditional paths of code.
> I would keep it for now under kfreebsd-9.
>
> Upstream could do it properly, without ABI breaking, i.e. by
>
> #define GIO_KEYMAP_OLD   _IOR('k', 6, keymap_t)
> #define PIO_KEYMAP_OLD   _IOW('k', 7, keymap_t)
> ...
> #define GIO_KEYMAP       _IO('k', 16)
> #define PIO_KEYMAP       _IO('k', 17)

Thanks Petr.  Let's make a bug out of this.

--
Robert Millan



-- 
Robert Millan




Information stored :
Bug#630784; Package kfreebsd-image-9.0-0-amd64. (Sat, 18 Jun 2011 09:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Sat, 18 Jun 2011 09:57:19 GMT) Full text and rfc822 format available.

Message #10 received at 630784-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 630784-quiet@bugs.debian.org
Subject: Re: kfreebsd-9 status (fwd)
Date: Sat, 18 Jun 2011 12:03:13 +0200 (CEST)

---------- Forwarded message ----------
Date: Fri, 17 Jun 2011 20:41:20 -0400 (EDT)
From: Benjamin Kaduk <kaduk@MIT.EDU>


Hmm, don't see a bug# to reply to (but may have missed it); it seems that 
upstream had decided that ABI breaking was a bad thing, proposing the patch 
linked here:
http://permalink.gmane.org/gmane.os.freebsd.current/120133
but, it was never committed.
I have sent a reminder; we shall see what happens.

-Ben Kaduk




Set Bug forwarded-to-address to 'http://lists.freebsd.org/pipermail/freebsd-current/2011-June/025325.html'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 14 Jul 2011 23:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630784; Package kfreebsd-image-9.0-0-amd64. (Sun, 17 Jul 2011 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 17 Jul 2011 14:57:07 GMT) Full text and rfc822 format available.

Message #17 received at 630784@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Ed Schouten <ed@80386.nl>
Cc: 630784@bugs.debian.org
Subject: Re: [Patch] [regression] libvgl and r197330 (kbd)
Date: Sun, 17 Jul 2011 16:54:46 +0200
2011/7/16 Ed Schouten <ed@80386.nl>:
> I've attached a patch that should restore binary compatibility. I first
> thought this wasn't really needed, because most applications would use
> K_RAW instead of K_XLATE anyway.
>
> Just breaking binary compatibility with kbdcontrol(1) wouldn't have been
> too bad, but it turns out things like SDL use this as well. I've
> attached a patch that should restore binary compatibility. Anyone
> interested in testing this before I commit it to SVN?

Hi Ed,

I built latest 9-CURRENT with the patch you provided, and I can
confirm that kbdcontrol is again able to change the keymap for
/dev/console.

I notice that you already committed it.  I'll test latest SVN now and
let you know if I find trouble (or if anyone in Debian GNU/kFreeBSD
reports trouble).

Btw our log of the problem is in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630784

Thanks for fixing this

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 17 Jul 2011 17:54:07 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 17 Jul 2011 17:54:07 GMT) Full text and rfc822 format available.

Message #22 received at 630784-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 630784-close@bugs.debian.org
Subject: Bug#630784: fixed in kfreebsd-9 9.0~svn224126-1
Date: Sun, 17 Jul 2011 17:50:48 +0000
Source: kfreebsd-9
Source-Version: 9.0~svn224126-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-9, which is due to be installed in the Debian FTP archive:

kfreebsd-9_9.0~svn224126-1.debian.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn224126-1.debian.tar.gz
kfreebsd-9_9.0~svn224126-1.dsc
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn224126-1.dsc
kfreebsd-9_9.0~svn224126.orig.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn224126.orig.tar.gz
kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-source-9.0_9.0~svn224126-1_all.deb
  to main/k/kfreebsd-9/kfreebsd-source-9.0_9.0~svn224126-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630784@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 Jul 2011 17:03:23 +0200
Source: kfreebsd-9
Binary: kfreebsd-source-9.0 kfreebsd-headers-9.0-0 kfreebsd-image-9.0-0-amd64 kfreebsd-image-9-amd64 kfreebsd-headers-9.0-0-amd64 kfreebsd-headers-9-amd64 kfreebsd-image-9.0-0-486 kfreebsd-image-9-486 kfreebsd-headers-9.0-0-486 kfreebsd-headers-9-486 kfreebsd-image-9.0-0-686 kfreebsd-image-9-686 kfreebsd-headers-9.0-0-686 kfreebsd-headers-9-686 kfreebsd-image-9.0-0-686-smp kfreebsd-image-9-686-smp kfreebsd-headers-9.0-0-686-smp kfreebsd-headers-9-686-smp kfreebsd-image-9.0-0-xen kfreebsd-image-9-xen kfreebsd-headers-9.0-0-xen kfreebsd-headers-9-xen kfreebsd-image-9.0-0-malta kfreebsd-image-9-malta kfreebsd-headers-9.0-0-malta kfreebsd-headers-9-malta
Architecture: source all kfreebsd-amd64
Version: 9.0~svn224126-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-9-486 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686-smp - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-amd64 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-malta - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-xen - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9.0-0 - Common architecture-specific header files for kernel of FreeBSD 9
 kfreebsd-headers-9.0-0-486 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686-smp - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-amd64 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-malta - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-xen - header files for kernel of FreeBSD 9.0
 kfreebsd-image-9-486 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686-smp - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-amd64 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-malta - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-xen - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9.0-0-486 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686-smp - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-amd64 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-malta - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-xen - kernel of FreeBSD 9.0 image
 kfreebsd-source-9.0 - source code for kernel of FreeBSD 9.0 with Debian patches
Closes: 630784 633618
Changes: 
 kfreebsd-9 (9.0~svn224126-1) experimental; urgency=low
 .
   * New upstream snapshot.
     - r224072: Fix initialization of i8259 controller on Malta.
       (Closes: #633618).
     - r224126: Restore binary compatibility for GIO_KEYMAP and PIO_KEYMAP.
       (Closes: #630784).
 .
   [ Robert Millan ]
   * Revert part of 005_linux_cflags.diff which isn't going to be
     accepted by upstream, and caused build breakage on GNU/Linux. Bring
     back needed parts of the sed kludge.
   * Provide "kfreebsd-headers" virtual package in kfreebsd-headers-
     @version@-@abiname@-@flavor@.
Checksums-Sha1: 
 833b513de6632e40e305f2ebf7c7cc9beb585f1c 2288 kfreebsd-9_9.0~svn224126-1.dsc
 493aab4a5eca451aa55d7f09458ae103c0d93f40 32606885 kfreebsd-9_9.0~svn224126.orig.tar.gz
 68bd82b5f0e8bd22359483e6c8f69c4179d136ed 78225 kfreebsd-9_9.0~svn224126-1.debian.tar.gz
 976e675bcb076eba83c7014e1534c700c4817fc8 21573014 kfreebsd-source-9.0_9.0~svn224126-1_all.deb
 21abdd9770d338571da0382e54815fb271e94d02 9687218 kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
 71d40cbab68610b1bba730825f9d9724fc55be52 16010808 kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 1c23117375c6e1aa01d4f630fd0118532418ca6a 48980 kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 b482a76ba5bc30d9fa2d8707456146d4e763bbf7 317118 kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 f2beab036f6d835232471487a1dca286e8f00fcd 48858 kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 15f6972a60aad6bd2e6f7a62d2010a0975ce74864603d61964efce1dbe859efd 2288 kfreebsd-9_9.0~svn224126-1.dsc
 fc8d7d93b239c1d41767f572b4a3119fb265cf28338efde63479548774d1e063 32606885 kfreebsd-9_9.0~svn224126.orig.tar.gz
 13554b7b2c34114ac23e3e67b5512b83ea05aea7ba4a82d816e15c343c1ad350 78225 kfreebsd-9_9.0~svn224126-1.debian.tar.gz
 41fbb929ee99eef22285b4ceb7a6735ac20ccff64b28b13e4a7dc7f2427d6f0d 21573014 kfreebsd-source-9.0_9.0~svn224126-1_all.deb
 ec825ebbd29ee5b8b7a95289bcbda2f881464ac44e4fad934267c86b012b24d0 9687218 kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
 a87325cb1ed28cd0e53ff250f8018153b23c2c4ae2424ebb7eea4829199ca38f 16010808 kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 ad4155f0bf8676f848a4eb543055db79758d55fe66ac990b7e5ec27c8598cece 48980 kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 e1b30747515a2414dd39cbfb2fa2c6807f97bebac4c0c5dd28017762dc6cf5c2 317118 kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 e3ffe88b434cd57c3153f6b8c632d7586d0a9cc8a639014aa953ea5f84ae99af 48858 kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
Files: 
 053f7cb6429d38128cd7c68f59461bf8 2288 kernel optional kfreebsd-9_9.0~svn224126-1.dsc
 6ad799d664427940d3765306934b38eb 32606885 kernel optional kfreebsd-9_9.0~svn224126.orig.tar.gz
 b95363c12df2a423af36f1834e17e0a7 78225 kernel optional kfreebsd-9_9.0~svn224126-1.debian.tar.gz
 ff84a996ee9bfa7a6dec2caa7785f8de 21573014 kernel optional kfreebsd-source-9.0_9.0~svn224126-1_all.deb
 ebb0527014f4295591fb3007b1800285 9687218 kernel optional kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
 d2b46da679ae86552a01de285b332974 16010808 kernel optional kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 77928bba0ea3da0e92336f2438f69f1a 48980 kernel optional kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 fe33b45d461a41bb29a692735ad11057 317118 kernel optional kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 9ff31a12fc75ef0ff5e50f0f9dbf7c19 48858 kernel optional kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4jETEACgkQC19io6rUCv9+2QCfQjjxM6rCxwqNTOOpTcM5E1JL
V4kAnifk4Smg0iKTqLX8YQBqCnfPMybE
=PORg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Aug 2011 07:36:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:18:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.